<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Dependabot Gitlab</title>
    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
  </head>

  <body>
    <h1>New Project</h1>
    <%= render partial: 'header' %>
    <% flash.each do |type, msg| %>
      <p>
        <strong><%= type %></strong>: <%= msg %>
      </p>
    <% end %>

    <%= form_with url: projects_path, method: :post do |form| %>
      <%= form.text_field :project_name, placeholder: "Full project path" %>
      <%= form.text_field :access_token, placeholder: "Access token: (optional)" %>
      <%= form.submit "Add", id: :add_project %>
    <% end %>
  </body>
</html>
